Skip to main content
GET
/
tokenization
/
tokens
/
{id}
/
rbac
TypeScript
const response: Promise<FireblocksResponse<ActiveRolesResponse>> = fireblocks.tokenization.getTokenRbac(tokenizationApiGetTokenRbacRequest);
{
  "activeRoles": {
    "DEFAULT_ADMIN_ROLE": {
      "roleHash": "0x0000000000000000000000000000000000000000000000000000000000000000",
      "description": "DEFAULT_ADMIN_ROLE",
      "accounts": [
        {
          "accountAddress": "0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66",
          "dateOfGrant": "2024-07-01T00:00:00.000Z"
        }
      ]
    }
  }
}

Path Parameters

id
string
required

The token link id

Response

Successfully retrieved the list of active roles

activeRoles
object
required

Active RBAC roles on the contract, keyed by role name (e.g. DEFAULT_ADMIN_ROLE, MINTER_ROLE). Each entry contains the on-chain role hash, a human-readable description, and the list of accounts currently granted that role.

Example:
{
"DEFAULT_ADMIN_ROLE": {
"roleHash": "0x0000000000000000000000000000000000000000000000000000000000000000",
"description": "DEFAULT_ADMIN_ROLE",
"accounts": [
{
"accountAddress": "0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66",
"dateOfGrant": "2024-07-01T00:00:00.000Z"
}
]
}
}